<template>
    <header class="bg-white body-font sticky top-0 z-50 shadow">
        <div class="container mx-auto flex flex-wrap p-5 flex-row items-center">
            <g-link to="/" class="items-center">
                <img src="//dam.malt.com/rebranding2020/malt-logo/malt-red" alt="Malt logo" width="125" height="36" />
            </g-link>

            <nav class="header-links ml-auto flex flex-wrap items-center justify-center">
                <g-link to="/events" class="mr-5 hidden md:block hover-underline-animation" exact>Events</g-link>
                <g-link to="/blog" class="mr-5 hidden md:block hover-underline-animation" exact>Blog</g-link>
                <g-link to="/careers" class="mr-5 hidden md:block hover-underline-animation" exact>Life at Malt</g-link>

                <a
                    href="#"
                    type="button"
                    aria-label="Open Navigation"
                    title="Open Navigation"
                    class="block md:hidden mr-5 focus:outline-none"
                    @click.prevent="showResponsiveMenu()"
                >
                    <svg fill="none" viewBox="0 0 24 24" stroke="currentColor" class="menu w-6 h-6">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                    </svg>
                </a>
            </nav>
        </div>
    </header>
</template>

<script>
    export default {
        methods: {
            showResponsiveMenu() {
                this.$emit('openResponsiveMenu');
            },
        },
    };
</script>
<style scoped lang="scss">
    .header-links {
        a {
            color: rgb(75, 75, 75);
            font-size: 0.95rem;

            &:hover {
                text-decoration-line: underline;
                text-underline-offset: 12px;
                text-decoration-thickness: 3px;
                text-decoration-color: #1290af;
                transition: text-decoration-color 0.5s ease-in-out;
            }
        }

        .active--exact {
            color: #035266;
            text-decoration-line: underline;
            text-underline-offset: 12px;
            text-decoration-thickness: 3px;

            &:hover {
                text-decoration-color: #1290af;
                transition: text-decoration-color 0.2s ease-in-out;
            }
        }
    }
</style>
